ArmoredSignatureType (Gradle API 7.6.3)

Package org.gradle.plugins.signing.type.pgp

## Class ArmoredSignatureType

- java.lang.Object
- - org.gradle.plugins.signing.type.AbstractSignatureType
  - - org.gradle.plugins.signing.type.pgp.ArmoredSignatureType

- All Implemented Interfaces:
    `SignatureType`

      public class ArmoredSignatureType
      extends AbstractSignatureType

  Armored signature type.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArmoredSignatureType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getExtension()` | The file extension (without the leading dot) associated to this type of signature.
    `void` | `sign​(Signatory signatory, java.io.InputStream toSign, java.io.OutputStream destination)` | Signs the data from the given InputStream and stores the signature in the given OutputStream.

    - ### Methods inherited from class org.gradle.plugins.signing.type.AbstractSignatureType

      `combinedExtension, fileFor, sign`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArmoredSignatureType

          public ArmoredSignatureType()

  - ### Method Detail

    - #### getExtension

          public java.lang.String getExtension()

      Description copied from interface: `SignatureType`
      The file extension (without the leading dot) associated to this type of signature.

    - #### sign

          public void sign​(Signatory signatory,
                           java.io.InputStream toSign,
                           java.io.OutputStream destination)

      Description copied from interface: `SignatureType`
      Signs the data from the given InputStream and stores the signature in the given OutputStream.
      Specified by:
        `sign` in interface `SignatureType`
      Overrides:
        `sign` in class `AbstractSignatureType`
      Parameters:
        `signatory` - The signatory
        `toSign` - The source of the data to be signed
        `destination` - Where the signature will be written to